Package org.eclipse.jdt.core.compiler

# Interface ITerminalSymbols

public interface ITerminalSymbols
Maps each terminal symbol in the java-grammar into a unique integer. This integer is used to represent the terminal when computing a parsing action.

Since:
  2.0
See Also:
  - `IScanner`
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TokenNameabstract`
`static final int`
`TokenNameAND`
`static final int`
`TokenNameAND_AND`
`static final int`
`TokenNameAND_EQUAL`
`static final int`
`TokenNameARROW`
`static final int`
`TokenNameassert`
"assert" token (added in J2SE 1.4).
`static final int`
`TokenNameAT`
"@" token (added in J2SE 1.5).
`static final int`
`TokenNameboolean`
`static final int`
`TokenNamebreak`
`static final int`
`TokenNamebyte`
`static final int`
`TokenNamecase`
`static final int`
`TokenNamecatch`
`static final int`
`TokenNamechar`
`static final int`
`TokenNameCharacterLiteral`
`static final int`
`TokenNameclass`
`static final int`
`TokenNameCOLON`
`static final int`
`TokenNameCOLON_COLON`
`static final int`
`TokenNameCOMMA`
`static final int`
`TokenNameCOMMENT_BLOCK`
`static final int`
`TokenNameCOMMENT_JAVADOC`
`static final int`
`TokenNameCOMMENT_LINE`
`static final int`
`TokenNameconst`
`static final int`
`TokenNamecontinue`
`static final int`
`TokenNamedefault`
`static final int`
`TokenNameDIVIDE`
`static final int`
`TokenNameDIVIDE_EQUAL`
`static final int`
`TokenNamedo`
`static final int`
`TokenNameDOT`
`static final int`
`TokenNamedouble`
`static final int`
`TokenNameDoubleLiteral`
`static final int`
`TokenNameELLIPSIS`
"..." token (added in J2SE 1.5).
`static final int`
`TokenNameelse`
`static final int`
`TokenNameenum`
"enum" keyword (added in J2SE 1.5).
`static final int`
`TokenNameEOF`
`static final int`
`TokenNameEQUAL`
`static final int`
`TokenNameEQUAL_EQUAL`
`static final int`
`TokenNameERROR`
`static final int`
`TokenNameextends`
`static final int`
`TokenNamefalse`
`static final int`
`TokenNamefinal`
`static final int`
`TokenNamefinally`
`static final int`
`TokenNamefloat`
`static final int`
`TokenNameFloatingPointLiteral`
`static final int`
`TokenNamefor`
`static final int`
`TokenNamegoto`
`static final int`
`TokenNameGREATER`
`static final int`
`TokenNameGREATER_EQUAL`
`static final int`
`TokenNameIdentifier`
Deprecated.
With the introduction of "restricted keywords" in Java 9, classification of tokens by a scanner is inherently unreliable.
`static final int`
`TokenNameif`
`static final int`
`TokenNameimplements`
`static final int`
`TokenNameimport`
`static final int`
`TokenNameinstanceof`
`static final int`
`TokenNameint`
`static final int`
`TokenNameIntegerLiteral`
`static final int`
`TokenNameinterface`
`static final int`
`TokenNameLBRACE`
`static final int`
`TokenNameLBRACKET`
`static final int`
`TokenNameLEFT_SHIFT`
`static final int`
`TokenNameLEFT_SHIFT_EQUAL`
`static final int`
`TokenNameLESS`
`static final int`
`TokenNameLESS_EQUAL`
`static final int`
`TokenNamelong`
`static final int`
`TokenNameLongLiteral`
`static final int`
`TokenNameLPAREN`
`static final int`
`TokenNameMINUS`
`static final int`
`TokenNameMINUS_EQUAL`
`static final int`
`TokenNameMINUS_MINUS`
`static final int`
`TokenNameMULTIPLY`
`static final int`
`TokenNameMULTIPLY_EQUAL`
`static final int`
`TokenNamenative`
`static final int`
`TokenNamenew`
`static final int`
`TokenNamenon_sealed`
`static final int`
`TokenNameNOT`
`static final int`
`TokenNameNOT_EQUAL`
`static final int`
`TokenNameNotAToken`
`static final int`
`TokenNamenull`
`static final int`
`TokenNameOR`
`static final int`
`TokenNameOR_EQUAL`
`static final int`
`TokenNameOR_OR`
`static final int`
`TokenNamepackage`
`static final int`
`TokenNamePLUS`
`static final int`
`TokenNamePLUS_EQUAL`
`static final int`
`TokenNamePLUS_PLUS`
`static final int`
`TokenNameprivate`
`static final int`
`TokenNameprotected`
`static final int`
`TokenNamepublic`
`static final int`
`TokenNameQUESTION`
`static final int`
`TokenNameRBRACE`
`static final int`
`TokenNameRBRACKET`
`static final int`
`TokenNameREMAINDER`
`static final int`
`TokenNameREMAINDER_EQUAL`
`static final int`
`TokenNameRestrictedIdentifierpermits`
`static final int`
`TokenNameRestrictedIdentifierrecord`
`static final int`
`TokenNameRestrictedIdentifiersealed`
`static final int`
`TokenNameRestrictedIdentifierWhen`
`static final int`
`TokenNameRestrictedIdentifierYield`
`static final int`
`TokenNamereturn`
`static final int`
`TokenNameRIGHT_SHIFT`
`static final int`
`TokenNameRIGHT_SHIFT_EQUAL`
`static final int`
`TokenNameRPAREN`
`static final int`
`TokenNameSEMICOLON`
`static final int`
`TokenNameshort`
`static final int`
`TokenNameSingleQuoteStringLiteral`
`static final int`
`TokenNamestatic`
`static final int`
`TokenNamestrictfp`
`static final int`
`TokenNameStringLiteral`
`static final int`
`TokenNamesuper`
`static final int`
`TokenNameswitch`
`static final int`
`TokenNamesynchronized`
`static final int`
`TokenNameTextBlock`
`static final int`
`TokenNamethis`
`static final int`
`TokenNamethrow`
`static final int`
`TokenNamethrows`
`static final int`
`TokenNametransient`
`static final int`
`TokenNametrue`
`static final int`
`TokenNametry`
`static final int`
`TokenNameTWIDDLE`
`static final int`
`TokenNameUNSIGNED_RIGHT_SHIFT`
`static final int`
`TokenNameUNSIGNED_RIGHT_SHIFT_EQUAL`
`static final int`
`TokenNamevoid`
`static final int`
`TokenNamevolatile`
`static final int`
`TokenNamewhile`
`static final int`
`TokenNameWHITESPACE`
`static final int`
`TokenNameXOR`
`static final int`
`TokenNameXOR_EQUAL`

## Field Details

### TokenNameWHITESPACE

static final int TokenNameWHITESPACE

See Also:
  - Constant Field Values

### TokenNameCOMMENT_LINE

static final int TokenNameCOMMENT_LINE

See Also:
  - Constant Field Values

### TokenNameCOMMENT_BLOCK

static final int TokenNameCOMMENT_BLOCK

See Also:
  - Constant Field Values

### TokenNameCOMMENT_JAVADOC

static final int TokenNameCOMMENT_JAVADOC

See Also:
  - Constant Field Values

### TokenNameIdentifier

@Deprecated static final int TokenNameIdentifier
Deprecated.
With the introduction of "restricted keywords" in Java 9, classification of tokens by a scanner is inherently unreliable. Any token classified as an identifier could still be a "restricted keyword". Future versions of Java will introduce more words that have special syntactical meaning in specific contexts. For reliably detecting an identifier the only real solution is to use a parser instead (see also the caveat at the top of the interface documentation of `IScanner`).

See Also:
  - Constant Field Values

### TokenNameabstract

static final int TokenNameabstract

See Also:
  - Constant Field Values

### TokenNameassert

static final int TokenNameassert
"assert" token (added in J2SE 1.4).

See Also:
  - Constant Field Values

### TokenNameboolean

static final int TokenNameboolean

See Also:
  - Constant Field Values

### TokenNamebreak

static final int TokenNamebreak

See Also:
  - Constant Field Values

### TokenNamebyte

static final int TokenNamebyte

See Also:
  - Constant Field Values

### TokenNamecase

static final int TokenNamecase

See Also:
  - Constant Field Values

### TokenNamecatch

static final int TokenNamecatch

See Also:
  - Constant Field Values

### TokenNamechar

static final int TokenNamechar

See Also:
  - Constant Field Values

### TokenNameclass

static final int TokenNameclass

See Also:
  - Constant Field Values

### TokenNamecontinue

static final int TokenNamecontinue

See Also:
  - Constant Field Values

### TokenNamedefault

static final int TokenNamedefault

See Also:
  - Constant Field Values

### TokenNamedo

static final int TokenNamedo

See Also:
  - Constant Field Values

### TokenNamedouble

static final int TokenNamedouble

See Also:
  - Constant Field Values

### TokenNameelse

static final int TokenNameelse

See Also:
  - Constant Field Values

### TokenNameextends

static final int TokenNameextends

See Also:
  - Constant Field Values

### TokenNamefalse

static final int TokenNamefalse

See Also:
  - Constant Field Values

### TokenNamefinal

static final int TokenNamefinal

See Also:
  - Constant Field Values

### TokenNamefinally

static final int TokenNamefinally

See Also:
  - Constant Field Values

### TokenNamefloat

static final int TokenNamefloat

See Also:
  - Constant Field Values

### TokenNamefor

static final int TokenNamefor

See Also:
  - Constant Field Values

### TokenNameif

static final int TokenNameif

See Also:
  - Constant Field Values

### TokenNameimplements

static final int TokenNameimplements

See Also:
  - Constant Field Values

### TokenNameimport

static final int TokenNameimport

See Also:
  - Constant Field Values

### TokenNameinstanceof

static final int TokenNameinstanceof

See Also:
  - Constant Field Values

### TokenNameint

static final int TokenNameint

See Also:
  - Constant Field Values

### TokenNameinterface

static final int TokenNameinterface

See Also:
  - Constant Field Values

### TokenNamelong

static final int TokenNamelong

See Also:
  - Constant Field Values

### TokenNamenative

static final int TokenNamenative

See Also:
  - Constant Field Values

### TokenNamenew

static final int TokenNamenew

See Also:
  - Constant Field Values

### TokenNamenull

static final int TokenNamenull

See Also:
  - Constant Field Values

### TokenNamepackage

static final int TokenNamepackage

See Also:
  - Constant Field Values

### TokenNameprivate

static final int TokenNameprivate

See Also:
  - Constant Field Values

### TokenNameprotected

static final int TokenNameprotected

See Also:
  - Constant Field Values

### TokenNamepublic

static final int TokenNamepublic

See Also:
  - Constant Field Values

### TokenNamereturn

static final int TokenNamereturn

See Also:
  - Constant Field Values

### TokenNameshort

static final int TokenNameshort

See Also:
  - Constant Field Values

### TokenNamestatic

static final int TokenNamestatic

See Also:
  - Constant Field Values

### TokenNamestrictfp

static final int TokenNamestrictfp

See Also:
  - Constant Field Values

### TokenNamesuper

static final int TokenNamesuper

See Also:
  - Constant Field Values

### TokenNameswitch

static final int TokenNameswitch

See Also:
  - Constant Field Values

### TokenNamesynchronized

static final int TokenNamesynchronized

See Also:
  - Constant Field Values

### TokenNamethis

static final int TokenNamethis

See Also:
  - Constant Field Values

### TokenNamethrow

static final int TokenNamethrow

See Also:
  - Constant Field Values

### TokenNamethrows

static final int TokenNamethrows

See Also:
  - Constant Field Values

### TokenNametransient

static final int TokenNametransient

See Also:
  - Constant Field Values

### TokenNametrue

static final int TokenNametrue

See Also:
  - Constant Field Values

### TokenNametry

static final int TokenNametry

See Also:
  - Constant Field Values

### TokenNamevoid

static final int TokenNamevoid

See Also:
  - Constant Field Values

### TokenNamevolatile

static final int TokenNamevolatile

See Also:
  - Constant Field Values

### TokenNamewhile

static final int TokenNamewhile

See Also:
  - Constant Field Values

### TokenNameIntegerLiteral

static final int TokenNameIntegerLiteral

See Also:
  - Constant Field Values

### TokenNameLongLiteral

static final int TokenNameLongLiteral

See Also:
  - Constant Field Values

### TokenNameFloatingPointLiteral

static final int TokenNameFloatingPointLiteral

See Also:
  - Constant Field Values

### TokenNameDoubleLiteral

static final int TokenNameDoubleLiteral

See Also:
  - Constant Field Values

### TokenNameCharacterLiteral

static final int TokenNameCharacterLiteral

See Also:
  - Constant Field Values

### TokenNameStringLiteral

static final int TokenNameStringLiteral

See Also:
  - Constant Field Values

### TokenNameTextBlock

static final int TokenNameTextBlock

Since:
  3.20
See Also:
  - Constant Field Values
Restriction:
  This class is not intended to be referenced by clients as it is a part of Java preview feature.

### TokenNamePLUS_PLUS

static final int TokenNamePLUS_PLUS

See Also:
  - Constant Field Values

### TokenNameMINUS_MINUS

static final int TokenNameMINUS_MINUS

See Also:
  - Constant Field Values

### TokenNameEQUAL_EQUAL

static final int TokenNameEQUAL_EQUAL

See Also:
  - Constant Field Values

### TokenNameLESS_EQUAL

static final int TokenNameLESS_EQUAL

See Also:
  - Constant Field Values

### TokenNameGREATER_EQUAL

static final int TokenNameGREATER_EQUAL

See Also:
  - Constant Field Values

### TokenNameNOT_EQUAL

static final int TokenNameNOT_EQUAL

See Also:
  - Constant Field Values

### TokenNameLEFT_SHIFT

static final int TokenNameLEFT_SHIFT

See Also:
  - Constant Field Values

### TokenNameRIGHT_SHIFT

static final int TokenNameRIGHT_SHIFT

See Also:
  - Constant Field Values

### TokenNameUNSIGNED_RIGHT_SHIFT

static final int TokenNameUNSIGNED_RIGHT_SHIFT

See Also:
  - Constant Field Values

### TokenNamePLUS_EQUAL

static final int TokenNamePLUS_EQUAL

See Also:
  - Constant Field Values

### TokenNameMINUS_EQUAL

static final int TokenNameMINUS_EQUAL

See Also:
  - Constant Field Values

### TokenNameMULTIPLY_EQUAL

static final int TokenNameMULTIPLY_EQUAL

See Also:
  - Constant Field Values

### TokenNameDIVIDE_EQUAL

static final int TokenNameDIVIDE_EQUAL

See Also:
  - Constant Field Values

### TokenNameAND_EQUAL

static final int TokenNameAND_EQUAL

See Also:
  - Constant Field Values

### TokenNameOR_EQUAL

static final int TokenNameOR_EQUAL

See Also:
  - Constant Field Values

### TokenNameXOR_EQUAL

static final int TokenNameXOR_EQUAL

See Also:
  - Constant Field Values

### TokenNameREMAINDER_EQUAL

static final int TokenNameREMAINDER_EQUAL

See Also:
  - Constant Field Values

### TokenNameLEFT_SHIFT_EQUAL

static final int TokenNameLEFT_SHIFT_EQUAL

See Also:
  - Constant Field Values

### TokenNameRIGHT_SHIFT_EQUAL

static final int TokenNameRIGHT_SHIFT_EQUAL

See Also:
  - Constant Field Values

### TokenNameUNSIGNED_RIGHT_SHIFT_EQUAL

static final int TokenNameUNSIGNED_RIGHT_SHIFT_EQUAL

See Also:
  - Constant Field Values

### TokenNameOR_OR

static final int TokenNameOR_OR

See Also:
  - Constant Field Values

### TokenNameAND_AND

static final int TokenNameAND_AND

See Also:
  - Constant Field Values

### TokenNamePLUS

static final int TokenNamePLUS

See Also:
  - Constant Field Values

### TokenNameMINUS

static final int TokenNameMINUS

See Also:
  - Constant Field Values

### TokenNameNOT

static final int TokenNameNOT

See Also:
  - Constant Field Values

### TokenNameREMAINDER

static final int TokenNameREMAINDER

See Also:
  - Constant Field Values

### TokenNameXOR

static final int TokenNameXOR

See Also:
  - Constant Field Values

### TokenNameAND

static final int TokenNameAND

See Also:
  - Constant Field Values

### TokenNameMULTIPLY

static final int TokenNameMULTIPLY

See Also:
  - Constant Field Values

### TokenNameOR

static final int TokenNameOR

See Also:
  - Constant Field Values

### TokenNameTWIDDLE

static final int TokenNameTWIDDLE

See Also:
  - Constant Field Values

### TokenNameDIVIDE

static final int TokenNameDIVIDE

See Also:
  - Constant Field Values

### TokenNameGREATER

static final int TokenNameGREATER

See Also:
  - Constant Field Values

### TokenNameLESS

static final int TokenNameLESS

See Also:
  - Constant Field Values

### TokenNameLPAREN

static final int TokenNameLPAREN

See Also:
  - Constant Field Values

### TokenNameRPAREN

static final int TokenNameRPAREN

See Also:
  - Constant Field Values

### TokenNameLBRACE

static final int TokenNameLBRACE

See Also:
  - Constant Field Values

### TokenNameRBRACE

static final int TokenNameRBRACE

See Also:
  - Constant Field Values

### TokenNameLBRACKET

static final int TokenNameLBRACKET

See Also:
  - Constant Field Values

### TokenNameRBRACKET

static final int TokenNameRBRACKET

See Also:
  - Constant Field Values

### TokenNameSEMICOLON

static final int TokenNameSEMICOLON

See Also:
  - Constant Field Values

### TokenNameQUESTION

static final int TokenNameQUESTION

See Also:
  - Constant Field Values

### TokenNameCOLON

static final int TokenNameCOLON

See Also:
  - Constant Field Values

### TokenNameCOMMA

static final int TokenNameCOMMA

See Also:
  - Constant Field Values

### TokenNameDOT

static final int TokenNameDOT

See Also:
  - Constant Field Values

### TokenNameEQUAL

static final int TokenNameEQUAL

See Also:
  - Constant Field Values

### TokenNameEOF

static final int TokenNameEOF

See Also:
  - Constant Field Values

### TokenNameERROR

static final int TokenNameERROR

See Also:
  - Constant Field Values

### TokenNameenum

static final int TokenNameenum
"enum" keyword (added in J2SE 1.5).

Since:
  3.0
See Also:
  - Constant Field Values

### TokenNameAT

static final int TokenNameAT
"@" token (added in J2SE 1.5).

Since:
  3.0
See Also:
  - Constant Field Values

### TokenNameELLIPSIS

static final int TokenNameELLIPSIS
"..." token (added in J2SE 1.5).

Since:
  3.0
See Also:
  - Constant Field Values

### TokenNameconst

static final int TokenNameconst

Since:
  3.1
See Also:
  - Constant Field Values

### TokenNamegoto

static final int TokenNamegoto

Since:
  3.1
See Also:
  - Constant Field Values

### TokenNameARROW

static final int TokenNameARROW

Since:
  3.10
See Also:
  - Constant Field Values

### TokenNameCOLON_COLON

static final int TokenNameCOLON_COLON

Since:
  3.10
See Also:
  - Constant Field Values

### TokenNameNotAToken

static final int TokenNameNotAToken

Since:
  3.30
See Also:
  - Constant Field Values

### TokenNameRestrictedIdentifierYield

static final int TokenNameRestrictedIdentifierYield

Since:
  3.30
See Also:
  - Constant Field Values

### TokenNameRestrictedIdentifierpermits

static final int TokenNameRestrictedIdentifierpermits

Since:
  3.30
See Also:
  - Constant Field Values

### TokenNameRestrictedIdentifierrecord

static final int TokenNameRestrictedIdentifierrecord

Since:
  3.30
See Also:
  - Constant Field Values

### TokenNameRestrictedIdentifiersealed

static final int TokenNameRestrictedIdentifiersealed

Since:
  3.30
See Also:
  - Constant Field Values

### TokenNameSingleQuoteStringLiteral

static final int TokenNameSingleQuoteStringLiteral

Since:
  3.30
See Also:
  - Constant Field Values

### TokenNamenon_sealed

static final int TokenNamenon_sealed

Since:
  3.30
See Also:
  - Constant Field Values

### TokenNameRestrictedIdentifierWhen

static final int TokenNameRestrictedIdentifierWhen

Since:
  3.32
See Also:
  - Constant Field Values